%define shortname indi

Name: indilib
Version: 0.5
Release: alt0.M41.1

Group: Development/C
Summary: Library to control astronomical devices
Url: http://indi.sourceforge.net/
License: LGPLv2+

Provides: %shortname = %version-%release

ExclusiveArch: x86_64 %ix86
Source0: http://nchc.dl.sourceforge.net/sourceforge/indi/%name-%version.tar.gz
Patch1: indilib-0.5-gcc-4.3.patch

BuildRequires: gcc-c++ gcc-fortran glibc-devel libcfitsio-devel >= 3.090 libusb-devel zlib-devel

%description
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

%package -n libsbigudrv
Summary: Librar file for INDI
Group: Development/C
%description -n libsbigudrv
  INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).
  This package contains library files of indilib.

%package devel
Summary: INDI devellopment files
Group: Development/C
Requires: libsbigudrv = %version-%release
Provides: %shortname-devel = %version-%release
%description devel
  INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).
  This package contains files need to build applications using indilib.

%prep
%setup -q -n %shortname
%patch1 -p0

%build
%configure --disable-static --enable-shared --enable-libusb
%make

%install
%makeinstall
mkdir -p %buildroot%_includedir
cp src/*.h %buildroot%_includedir


%post -n libsbigudrv
%post_ldconfig
%postun -n libsbigudrv
%postun_ldconfig


%files
%doc ChangeLog NEWS README TODO
%_bindir/*
%_datadir/%shortname

%files -n libsbigudrv
%_libdir/libsbigudrv.so.*

%files devel
%doc ChangeLog src/README
%doc src/examples
%_libdir/*.so
#%_libdir/*.la
%_includedir/*.h

%changelog
* Mon Oct 20 2008 Sergey V Turchin <zerg at altlinux dot org> 0.5-alt0.M41.1
- built for M41

* Thu Oct 16 2008 Sergey V Turchin <zerg at altlinux dot org> 0.5-alt1
- initial specfile

